### Method

# Gtk BuildableParseContextget_element

#### Declaration [src]

    const char*
    gtk_buildable_parse_context_get_element (
      GtkBuildableParseContext* context
    )

#### Description [src]

Retrieves the name of the currently open element.

If called from the start_element or end_element handlers this will give the element_name as passed to those functions. For the parent elements, see gtk_buildable_parse_context_get_element_stack().

#### Return value

Type: `const char*`

The name of the currently open element.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.